<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Components\BusinessLogicServices\Helpers\RecipientHandler;

use CleverReach\WooCommerce\Components\Repositories\Recipient_Repository;
use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Entity\Recipient;

/**
 * Class Recipient_Handler
 *
 * @package CleverReach\WooCommerce\Components\BusinessLogicServices\Helpers\Recipient_Handler
 */
abstract class Recipient_Handler {
	/**
	 * Recipient repository.
	 *
	 * @var Recipient_Repository
	 */
	protected $recipient_repository;

	/**
	 * Generates properly formatted CleverReach recipient.
	 *
	 * @param string $id Recipient ID.
	 * @param  bool   $include_orders Should response handle orders with recipient.
	 *
	 * @return Recipient
	 */
	abstract public function handle( $id, $include_orders );

	/**
	 * Returns recipient repository.
	 *
	 * @return Recipient_Repository
	 */
	protected function get_recipients_repository() {
		if ( null === $this->recipient_repository ) {
			$this->recipient_repository = new Recipient_Repository();
		}

		return $this->recipient_repository;
	}
}
