<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Components\BusinessLogicServices;

use CleverReach\WooCommerce\Components\InfrastructureServices\Config_Service;
use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Entity\Notification;
use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Interfaces\Notifications;
use CleverReach\WooCommerce\IntegrationCore\Infrastructure\Interfaces\Required\Configuration;
use CleverReach\WooCommerce\IntegrationCore\Infrastructure\ServiceRegister;

/**
 * Class Notification_Service
 *
 * @package CleverReach\WooCommerce\Components\BusinessLogicServices
 */
class Notification_Service implements Notifications {

	/**
	 * Creates a new notification in system integration.
	 *
	 * @param Notification $notification Notification object that contains info such as
	 *                                   identifier, name, date, description, url.
	 *
	 * @return boolean
	 */
	public function push( Notification $notification ) {
		/** @var Config_Service $config_service */
		$config_service = ServiceRegister::getService( Configuration::CLASS_NAME );
		$config_service->set_show_admin_notice( true );
		$config_service->save_admin_notification_data( $notification );

		return true;
	}
}
