<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Components\Repositories;

/**
 * Class Product_Repository
 *
 * @package CleverReach\WooCommerce\Components\Repositories
 */
class Product_Repository extends Base_Repository {

	/**
	 * Product_Repository constructor.
	 */
	public function __construct() {
		parent::__construct();
		$this->table_name = $this->db->posts;
	}

	/**
	 * Searches posts table for all products that have search term within their title or description.
	 *
	 * @param string $search_term Search term.
	 *
	 * @return array Array of product IDs.
	 */
	public function get_product_ids_by_search_term( $search_term ) {
		$sql   = "SELECT id 
					FROM $this->table_name 
					WHERE post_type = 'product' AND (post_title LIKE %s OR post_content LIKE %s)";
		$query = $this->db->prepare(
			$sql,
			"%$search_term%",
			"%$search_term%"
		);

		return $this->db->get_col( $query, 0 );
	}
}
