<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Components\Repositories;

use CleverReach\WooCommerce\Components\Utility\Database;

/**
 * Class Roles_Repository
 *
 * @package CleverReach\WooCommerce\Components\Repositories
 */
class Roles_Repository extends Base_Repository {
	/**
	 * Roles_Repository constructor.
	 */
	public function __construct() {
		parent::__construct();
		$this->table_name = self::get_table_name( Database::ROLES_TABLE );
	}

	/**
	 * Retrieves all user roles.
	 *
	 * @return array
	 */
	public function get_all_roles() {
		$roles  = get_option( $this->table_name );
		$result = array();
		foreach ( $roles as $role => $details ) {
			$result[ $role ] = translate_user_role( $details['name'] );
		}

		return $result;
	}
}
