<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Database\Migrations;

use CleverReach\WooCommerce\Components\Repositories\Base_Repository;
use CleverReach\WooCommerce\Components\Utility\Update\Update_Schema;
use CleverReach\WooCommerce\Components\Utility\Database;

/**
 * Class Migration_1_4_1
*
* @package CleverReach\WooCommerce\Database\Migrations
*/
class Migration_1_4_1 extends Update_Schema {
	/**
	 * @inheritDoc
	 */
	public function update() {
		$this->rename_initial_sync_queue_items();
	}

	/**
	 * Removes old initial sync queue items.
	 */
	private function rename_initial_sync_queue_items() {
		$this->db->query( 'UPDATE `' . Base_Repository::get_table_name( Database::QUEUE_TABLE ) . '` SET `type` = "Initial_Sync_Task" WHERE `type` = "InitialSyncTask"' );
	}
}
