<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

/**
 * Frontend controller.
 *
 * @var CleverReach\WooCommerce\Controllers\Clever_Reach_Frontend_Controller $this
 */
$cr_initial_sync_config = $this->get_initial_sync_settings_config();

?>
<input type="hidden" id="cr-configuration" value="
<?php echo esc_url( $cr_initial_sync_config['configurationUrl'] ); ?>
">

<div class="cr-content-window-wrapper">
	<div class="cr-content-window">
		<img class="cr-welcome-icon" src="<?php echo esc_url( $cr_initial_sync_config['helloUrl'] ); ?>">
		<div class="cr-configuration">
			<h3>
				<?php echo esc_html( __( 'Configuration', 'cleverreach-wc' ) ); ?>
			</h3>
			<div>
				<label for="cr-newsletterStatus">
					<input type="checkbox" id="cr-newsletterStatus"/>
					<?php echo esc_html( __( 'Current users should be synced as Subscribers', 'cleverreach-wc' ) ); ?>
				</label>
			</div>
			<br>
			<div>
				<i>
					<?php
					echo esc_html(
						__(
							'If this option is turned on, CleverReach initial synchronization will treat all users as subscribers. Every later synchronization will use subscription status that was added to User administration.',
							'cleverreach-wc'
						)
					);
					?>
				</i>
			</div>
		</div>

		<a data-success-panel-start-initial-sync class="cr-action-buttons-wrapper cr-primary" id="cr-startSync"
		tabindex="0" role="button">
			<?php echo esc_html( __( 'Start synchronization now', 'cleverreach-wc' ) ); ?>
		</a>
	</div>
</div>
