<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

/**
 * Frontend controller.
 *
 * @var CleverReach\WooCommerce\Controllers\Clever_Reach_Frontend_Controller $this
 */
$cr_initial_sync_config = $this->get_initial_sync_config();

$cr_progress_items = array(
	'subscriber_list' => __( 'Create recipient list in CleverReach®', 'cleverreach-wc' ),
	'add_fields'      => __( 'Add data fields, segments and tags to recipient list', 'cleverreach-wc' ),
	/* translators: %s is replaced with name of the shop*/
	'recipient_sync'  => str_replace(
		'%s',
		$cr_initial_sync_config['integrationName'],
		/* translators: %s is replaced with shop name. */
		__( 'Import recipients from %s to CleverReach®', 'cleverreach-wc' )
	),
);
?>
<input type="hidden" id="cr-admin-status-check-url" value="<?php echo $cr_initial_sync_config['statusCheckUrl']; ?>">

<div data-task-list-panel>
	<ul class="cr-list-group">
		<?php foreach ( $cr_progress_items as $cr_key => $cr_title ) : ?>
			<li class="cr-list-group-item disabled" data-task="<?php echo esc_html( $cr_key ); ?>">
				<div class="cr-content-window-wrapper">
					<div class="cr-content-window">
						<i class="cr-icofont cr-icofont-circle">
							<i class="cr-icofont cr-icofont-2x" aria-hidden="true" data-status="<?php echo esc_html( $cr_key ); ?>"></i>
						</i>
						<div class="cr-item">
							<div class="cr-item-text"><?php echo esc_html( $cr_title ); ?></div>
							<div class="cr-item-badge">
								<span class="cr-progress-text" data-progress="<?php echo esc_html( $cr_key ); ?>">0%</span>
							</div>
						</div>
					</div>
				</div>
			</li>
		<?php endforeach; ?>
		<li id="cr-banner-container" class="cr-list-group-item hidden">
			<div class="cr-content-window-wrapper">
				<div class="cr-content-window">
					<div id="cr-banner" class="notice is-dismissible notice-info">
						<a
								id="cr-create-email"
								class="button-primary"
								target="_blank"
								href="<?php echo $cr_initial_sync_config['crDashboardUrl']; ?>"
						>
							<?php echo __( 'Create email now', 'cleverreach-wc' ) ?>
						</a>
						<div><strong><?php echo __( 'Start directly and create your email in CleverReach now', 'cleverreach-wc' ) ?></strong>.</div>
						<div><?php echo __( 'The import of your data is continued in the background', 'cleverreach-wc' ) ?></div>
					</div>
				</div>
			</div>
		</li>
	</ul>
</div>
