<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

use CleverReach\WooCommerce\Components\Repositories\Config_Repository;
use CleverReach\WooCommerce\Components\Utility\Database;

global $wpdb;

$cr_checked = false;
$cr_newsletter_label = __( 'Sign up for our newsletter', 'cleverreach-wc' );
$is_checkbox_disabled = false;
$cr_user_id = null;
if ( isset( $GLOBALS['profileuser']->data->ID ) ) {
	// This will be set if backend profile page is opened.
	$cr_user_id = $GLOBALS['profileuser']->data->ID;
} elseif ( isset( $GLOBALS['userdata']->data->ID ) ) {
	// This will be set if frontend profile page is opened.
	$cr_user_id = $GLOBALS['userdata']->data->ID;
}

if ( null !== $cr_user_id ) {
	$cr_db                = new Database( $wpdb );
	$cr_newsletter_column = $cr_db->get_newsletter_column();
	$cr_checked           = get_user_meta( $cr_user_id, $cr_newsletter_column, true ) === '1';
}

$cr_config_repo       = new Config_Repository();
$cr_newsletter_label  = $cr_config_repo->get( 'CLEVERREACH_SUBSCRIBE_FOR_NEWSLETTER_LABEL' ) ?: $cr_newsletter_label;
$is_checkbox_disabled = $cr_config_repo->get( 'IS_CLEVERREACH_NEWSLETTER_CHECKBOX_DISABLED' ) === '1';
?>
<table class="form-table">
	<tbody>
	<tr>
		<th scope="row"><?php echo $cr_newsletter_label; ?></th>
		<td>
			<label for="<?php echo esc_html( Database::NEWSLETTER_STATUS_FIELD ); ?>">
				<input type="checkbox"
						class=""
						name="<?php echo esc_html( Database::NEWSLETTER_STATUS_FIELD ); ?>"
						id="<?php echo esc_html( Database::NEWSLETTER_STATUS_FIELD ); ?>"
						value="1"
						<?php echo $cr_checked ? ' checked="checked"' : ''; ?>
				/>
			</label>
		</td>
	</tr>
	</tbody>
</table>
<div class="clear"></div>
